Run saved Insights report queries
curl --request POST \
--url https://api.replo.app/v1/insights-reports/{reportId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"queryIds": [
"<string>"
],
"scope": {
"filters": [
{
"fieldKey": "<string>",
"value": "<string>",
"isProjectDefault": true
}
],
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"dateRange": {
"since": "2023-12-25",
"until": "2023-12-25"
}
}
}
'import requests
url = "https://api.replo.app/v1/insights-reports/{reportId}/query"
payload = {
"queryIds": ["<string>"],
"scope": {
"filters": [
{
"fieldKey": "<string>",
"value": "<string>",
"isProjectDefault": True
}
],
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"dateRange": {
"since": "2023-12-25",
"until": "2023-12-25"
}
}
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
queryIds: ['<string>'],
scope: {
filters: [{fieldKey: '<string>', value: '<string>', isProjectDefault: true}],
breakdown: {fieldKey: '<string>', limit: 123},
dateRange: {since: '2023-12-25', until: '2023-12-25'}
}
})
};
fetch('https://api.replo.app/v1/insights-reports/{reportId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/insights-reports/{reportId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queryIds' => [
'<string>'
],
'scope' => [
'filters' => [
[
'fieldKey' => '<string>',
'value' => '<string>',
'isProjectDefault' => true
]
],
'breakdown' => [
'fieldKey' => '<string>',
'limit' => 123
],
'dateRange' => [
'since' => '2023-12-25',
'until' => '2023-12-25'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/insights-reports/{reportId}/query"
payload := strings.NewReader("{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/insights-reports/{reportId}/query")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/insights-reports/{reportId}/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportUpdatedAt": "<string>",
"queriedAt": "2023-11-07T05:31:56Z",
"scope": {
"dateRange": {
"presetId": "last_7_days",
"since": "<string>",
"until": "<string>",
"comparison": "previous_period"
},
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"filters": []
},
"results": [
{
"id": "<string>",
"status": "success",
"sql": "<string>",
"datasets": [
"pixel"
],
"rowCount": 123,
"data": [
{}
]
}
],
"warnings": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}InsightsReports
Run saved Insights report queries
POST
/
insights-reports
/
{reportId}
/
query
Run saved Insights report queries
curl --request POST \
--url https://api.replo.app/v1/insights-reports/{reportId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Replo-Api-Version: <replo-api-version>' \
--data '
{
"queryIds": [
"<string>"
],
"scope": {
"filters": [
{
"fieldKey": "<string>",
"value": "<string>",
"isProjectDefault": true
}
],
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"dateRange": {
"since": "2023-12-25",
"until": "2023-12-25"
}
}
}
'import requests
url = "https://api.replo.app/v1/insights-reports/{reportId}/query"
payload = {
"queryIds": ["<string>"],
"scope": {
"filters": [
{
"fieldKey": "<string>",
"value": "<string>",
"isProjectDefault": True
}
],
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"dateRange": {
"since": "2023-12-25",
"until": "2023-12-25"
}
}
}
headers = {
"Replo-Api-Version": "<replo-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Replo-Api-Version': '<replo-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
queryIds: ['<string>'],
scope: {
filters: [{fieldKey: '<string>', value: '<string>', isProjectDefault: true}],
breakdown: {fieldKey: '<string>', limit: 123},
dateRange: {since: '2023-12-25', until: '2023-12-25'}
}
})
};
fetch('https://api.replo.app/v1/insights-reports/{reportId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replo.app/v1/insights-reports/{reportId}/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queryIds' => [
'<string>'
],
'scope' => [
'filters' => [
[
'fieldKey' => '<string>',
'value' => '<string>',
'isProjectDefault' => true
]
],
'breakdown' => [
'fieldKey' => '<string>',
'limit' => 123
],
'dateRange' => [
'since' => '2023-12-25',
'until' => '2023-12-25'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Replo-Api-Version: <replo-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.replo.app/v1/insights-reports/{reportId}/query"
payload := strings.NewReader("{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Replo-Api-Version", "<replo-api-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.replo.app/v1/insights-reports/{reportId}/query")
.header("Replo-Api-Version", "<replo-api-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replo.app/v1/insights-reports/{reportId}/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Replo-Api-Version"] = '<replo-api-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queryIds\": [\n \"<string>\"\n ],\n \"scope\": {\n \"filters\": [\n {\n \"fieldKey\": \"<string>\",\n \"value\": \"<string>\",\n \"isProjectDefault\": true\n }\n ],\n \"breakdown\": {\n \"fieldKey\": \"<string>\",\n \"limit\": 123\n },\n \"dateRange\": {\n \"since\": \"2023-12-25\",\n \"until\": \"2023-12-25\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportUpdatedAt": "<string>",
"queriedAt": "2023-11-07T05:31:56Z",
"scope": {
"dateRange": {
"presetId": "last_7_days",
"since": "<string>",
"until": "<string>",
"comparison": "previous_period"
},
"breakdown": {
"fieldKey": "<string>",
"limit": 123
},
"filters": []
},
"results": [
{
"id": "<string>",
"status": "success",
"sql": "<string>",
"datasets": [
"pixel"
],
"rowCount": 123,
"data": [
{}
]
}
],
"warnings": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The public API version to use for this request.
Available options:
2026-10-05 Path Parameters
Report file ID from list_insights_reports, or the final UUID in its Insights URL.
Query Parameters
Body
application/json
Query IDs from get_insights_report. Omit to run all queries (at most 30 per call).
Required array length:
1 - 30 elementsMinimum string length:
1Override selected report defaults. Filters replace the default filter list; omitted fields retain the report's defaults.
Show child attributes
Show child attributes